Arch: Rebar Helical/Armătură elicoidală

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar Helical and the translation is 23% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar Helical.png Arch Rebar Helical

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Arch Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager


Descriere

Instrumentul Arch Rebar Helical.png Helical Rebar permite utilizatorului să creeze o armătură elicoidală în elementul de structură.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager, via the menu Tools → Addon manager → Reinforcement.

Arch Rebar Helical example.png

HelicalRebar.png

Cum se folosește

  1. Creați un element structure
  2. Selectați orice fațetă a structurii
  3. Apoi selectați Arch Rebar Helical.png Helix Rebar din uneltele pentru bare
  4. Va apărea un panou de sarcini în partea stângă a ecranului, după cum se arată mai jos HelicalRebarDialog.png
  5. Selectați orientarea dorită
  6. Dați intrările ca și capacul frontal, capacul lateral din dreapta, capacul lateral din stânga, capacul inferior și diametrul barei
  7. Selectați fie modul de distribuire fie cantitate, fie spațiere
  8. Dacă spațiul este selectat, un utilizator poate de asemenea să opteze pentru spacing custom
  9. Selectează fațeta selectată este utilizată pentru a verifica sau schimba fața pentru distribuția barei
  10. Faceți clic pe OK sau pe Apply pentru a genera barele de armare
  11. Faceți clic pe Cancel pentru a ieși din panoul de activități

HelicalRebarDialog.png

Taskview panel for the Arch Rebar Helical tool


Proprietăți

  • DATASide Cover:distanța dintre armatură și fața curbată.
  • DATATop Cover: Distanța dintre armătură din fața superioară a structurii.
  • DATABottom Cover: distanța dintre barele din partea inferioară a structurii.
  • DATA Pitch: Pasul unei spirale este înălțimea unei singure rotiri helix, măsurată paralel cu axa spiralei.
  • DATA Diameter: Diametrul barei.

Scrip-Programare

Instrumentul Arch Rebar Helical.png Helical Rebar poate fi utilizat în macros și de la consola Python prin utilizarea următoarei funcției:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Adaugă un obiect Straight reinforcing bar la obiectul structural dat.
  • Dacă nu este dată nici o structură și Facename, ea va avea ca intrare fațeta selectată de utilizator.
  • Aici argumentul CoverAlong este de tip tuplă .
  • Returnează noul obiect Rebar.

Example

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Edition of the rebar

You can change the properties of the rebar with the following function

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar is a previously created HelicalRebar object.
  • The other parameters are the same as required by the makeHelicalRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)